Bug 41909 - [Cycle 7] The "On-Demand Resources" step of the "Sign and Distribute" workflow is confusing when the iOS project doesn't contain any on-demand resources
Summary: [Cycle 7] The "On-Demand Resources" step of the "Sign and Distribute" workflo...
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: iOS add-in (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Mac OS
: Normal minor
Target Milestone: C7SR1
Assignee: Jeffrey Stedfast
URL:
Depends on:
Blocks:
 
Reported: 2016-06-16 19:00 UTC by Brendan Zagaeski (Xamarin Team, assistant)
Modified: 2016-07-07 07:27 UTC (History)
3 users (show)

Tags: BZRC7S1_C6SR3S1
Is this bug a regression?: ---
Last known good build:


Attachments

Description Brendan Zagaeski (Xamarin Team, assistant) 2016-06-16 19:00:48 UTC
[Cycle 7] The "On-Demand Resources" step of the "Sign and Distribute" workflow is confusing when the iOS project doesn't contain any on-demand resources




## Regression status: new feature in Cycle 7 that alters the "Sign and Distribute" workflow compared to Cycle 6

IDE support for on-demand resources is a new feature in Cycle 7:

https://developer.xamarin.com/releases/studio/xamarin.studio_6.0/xamarin.studio_6.0/#On-Demand_Resources




## Possible "workaround"

Select "Embed on-demand resources in the app bundle." since that option doesn't require the user to provide any additional information.  That option seems to work fine for this use-case in my brief tests.




## Steps followed to replicate

1. Create a new "iOS > App > Single View App".

2. Set the configuration to "Release|iPhone" ("Release > Device").

3. Run "Build > Archive for Publishing".

4. Select the completed archive in "Build > View Archives" and click the "Sign and Distribute" button.

5. Proceed through the "Ad Hoc" signing option.




## "BAD" Results

The third screen of the "Sign and Distribute" window is titled "On-Demand Resources".  There is no option to skip this step, nor are any instructions provided to indicate which option to choose when the app doesn't use on-demand resources.




## Possible improvements

a. Perhaps the "On-Demand Resources" step could be automatically omitted from the "Sign and Distribute" workflow if the project doesn't contain any On-Demand Resource tags.

OR

b. Maybe the "On-Demand Resources" step could provide another radio button labeled something like "This app does not use on-demand resources."
Comment 1 Jeffrey Stedfast 2016-06-16 20:58:11 UTC
Fixed in git master.

FWIW, you can tell people to select "embed" and it will just work.
Comment 2 Brendan Zagaeski (Xamarin Team, assistant) 2016-06-16 21:03:07 UTC
Excellent.  Thanks for the quick fix and the confirmation about the "embed" setting!
Comment 3 Mohit Kheterpal 2016-06-23 16:02:06 UTC
I have checked this issue with latest master build of XamarinStudio-6.1.0.5037_389d8ed1d3206c17a027d4a4a12f1fc9ae1c6505 and observed that this issue has been fixed as shown ins Screencast : http://www.screencast.com/t/4e7Yd4QJcpjA

@jeff : Could you please merge this fix in cycle 7?

I will close this issue once the fix for this bug will be merged in cycle7.

Thanks
Comment 4 Jeffrey Stedfast 2016-07-05 18:21:55 UTC
back-ported to cycle7
Comment 5 Arpit Jha 2016-07-07 07:27:21 UTC
I have checked this issue with latest C7 build XamarinStudio-6.0.2.49_660fac574f5092f3817faabe8685bac1ac39537f and observed that fixed merge with C7 build, here is screencast for same : http://www.screencast.com/t/MfMQtYv6HA

Environment Info: https://gist.github.com/Arpit360/5957e60fa0c3d8cd8e9346fc679ea49b 

Hence I am closing this issue.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 41909 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: